package com.lubjam16.epiceggsmash.game;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.g2d.ParticleEffect;

/**
 * Created by stonek on 1/31/16.
 */
public class Particles {

    public static ParticleEffect purpleParticles;
    public static ParticleEffect orangeParticles;
    public static ParticleEffect explosionParticlesLeft;
    public static ParticleEffect explosionParticlesRight;

    public static void init(){
        purpleParticles = new ParticleEffect();
        orangeParticles = new ParticleEffect();
        explosionParticlesLeft = new ParticleEffect();
        explosionParticlesRight = new ParticleEffect();
        orangeParticles.load(Gdx.files.internal("orange2"),Gdx.files.internal(""));
        purpleParticles.load(Gdx.files.internal("purple2"),Gdx.files.internal(""));
        explosionParticlesLeft.load(Gdx.files.internal("expl2"),Gdx.files.internal(""));
        explosionParticlesRight.load(Gdx.files.internal("expl2"),Gdx.files.internal(""));
    }

    public static void clear(){
        orangeParticles.dispose();
        purpleParticles.dispose();
        explosionParticlesLeft.dispose();
        explosionParticlesRight.dispose();
    }

}
